<Addin
	id = "WebReferences"
    namespace = "MonoDevelop"
	name = "Project Web References"
	author = "Gideon de Swardt"
	copyright = "LGPL"
	url = "http://www.monodevelop.com"
	description = "Provides support for adding and maintianing Web References for CSharp and VB projects."
	category = "Web Development"
	version = "1.9.2" >
    
    <Runtime>
    	<Import assembly = "MonoDevelop.WebReferences.dll"/>
    </Runtime>
    
	<Dependencies>
		<Addin id="Core" version="1.9.2"/>
		<Addin id="Core.Gui" version="1.9.2"/>
		<Addin id="Ide" version="1.9.2"/>
		<Addin id="Projects" version="1.9.2"/>
		<Addin id="Projects.Gui" version="1.9.2"/>
		<Addin id="Components" version="1.9.2"/>
	</Dependencies>
	
	<ExtensionPoint path = "/MonoDevelop/WebReferences/ContextMenu/ProjectPad/WebReferenceFolder">
		<ExtensionNodeSet id="MonoDevelop.Components.Commands.ItemSet"/>
	</ExtensionPoint>
	
	<ExtensionPoint path = "/MonoDevelop/WebReferences/ContextMenu/ProjectPad/WebReferenceItem">
		<ExtensionNodeSet id="MonoDevelop.Components.Commands.ItemSet"/>
	</ExtensionPoint>
	
	<Extension path = "/MonoDevelop/Ide/Pads/ProjectPad">
		<NodeBuilder class = "MonoDevelop.WebReferences.NodeBuilders.ProjectFolderNodeBuilderExtension"/>
		<NodeBuilder class = "MonoDevelop.WebReferences.NodeBuilders.ProjectNodeBuilder"/>
		<NodeBuilder class = "MonoDevelop.WebReferences.NodeBuilders.WebReferenceFolderNodeBuilder"/>
		<NodeBuilder class = "MonoDevelop.WebReferences.NodeBuilders.WebReferenceNodeBuilder"/>
	</Extension>
	
	<Extension path = "/MonoDevelop/Ide/Commands">
		<Category _name = "Web Reference" id = "WebReferences">
		<Command id = "MonoDevelop.WebReferences.WebReferenceCommands.Add"
			_label = "Add Web Reference" 
			icon = "md-webreference-item" />
		<Command id = "MonoDevelop.WebReferences.WebReferenceCommands.UpdateAll"
			_label = "Update Web References"
			icon = "gtk-reload" />
		<Command id = "MonoDevelop.WebReferences.WebReferenceCommands.Update"
			_label = "Update Web Reference"
			icon = "gtk-reload" />
		<Command id = "MonoDevelop.WebReferences.WebReferenceCommands.DeleteAll"
			_label = "Delete All"
			icon = "gtk-delete" />
		<Command id = "MonoDevelop.WebReferences.WebReferenceCommands.Delete"
			_label = "Delete"
			icon = "gtk-delete" />
		</Category>
	</Extension>
	
	<Extension path = "/MonoDevelop/Ide/ContextMenu/ProjectPad/Add">
		<Condition id="ItemType" value="DotNetProject">
			<SeparatorItem insertafter = "MonoDevelop.Ide.Commands.ProjectCommands.AddFiles" />
			<CommandItem id = "MonoDevelop.WebReferences.WebReferenceCommands.Add"/>
		</Condition>
	</Extension>
	
	<Extension path = "/MonoDevelop/WebReferences/ContextMenu/ProjectPad/WebReferenceFolder">
		<CommandItem id = "MonoDevelop.WebReferences.WebReferenceCommands.Add" />
		<CommandItem id = "MonoDevelop.WebReferences.WebReferenceCommands.UpdateAll" />
	</Extension>
	
	<Extension path = "/MonoDevelop/WebReferences/ContextMenu/ProjectPad/WebReferenceItem">
		<CommandItem id = "MonoDevelop.WebReferences.WebReferenceCommands.Update" />
		<CommandItem id = "MonoDevelop.WebReferences.WebReferenceCommands.Delete" />
	</Extension>
	
	<Extension path = "/MonoDevelop/Core/StockIcons">
		<StockIcon stockid = "md-webreference-item" resource = "WebReferenceItem.png" />
	</Extension>
</Addin>
